Subject: Re: #includes not being processed across network
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: cygwin support <[email-masked]>
Date: Sat, 16 Dec 2000 12:54:49 -0500

These queries should always be directed to the list, since I don't know 
the answer to all problems in Cygwin!;-)

See my comment below.

At 07:23 PM 12/15/2000, [email-masked] wrote:
>Dear Sir:
>
>"Thank You" for all your comments!  I addressed the issues you raised but 
>still have the same problem (full history thread below).  Having walked 
>through the operations "by hand" using the same sh.exe (not bash) I can see 
>no reason for this problem and am looking for other tests to perform to help 
>run it down. 
>
>Any suggestions would be appreciated.
>
>John McDonald
>
>In detail:
> > First, your path is not set properly.  Cygwin paths should come before 
> >  anything else to insure that Cygwin versions of various utilities get 
> >  invoked by default as opposed to other like-named facilities.
>
>Hmmm, a paradox.  Because of other, unrelated project requirements I need the 
>Cygwin utilities to be secondary, but I can address that later, after I get 
>the compiles to work.
>
> >  Second, your DLL is old, at least 1.1.4 if not before...
>
>I have upgraded Cygwin, gcc and all other pertinent modules from the mirror 
>site at the Univ of Tenn Knox.
>
> >  Third, by default, sh == ash but the shell you run interactively will be
> >  bash.  Make sure when you're testing for differences between compiling and
> >  running things interactively that you're testing against the same shell...
>
>Understood.  The output of  cygcheck that I sent you was "in situ"; that is, 
>from within the compile stream, not from bash.  The compile stream itself is 
>initiated by clicking a Windows PIF that loads 'D:\bin\sh.exe /usr/bin/xmake 
>"lib"', where xmake is a script that ultimately runs "make -f xmakefile", and 
>xmakefile is a makefile which does "includes" from several sources.  (None of 
>this should have anything to do with the lack of #include processing, but I 
>thought I'd mention it.)
>
>After having made the recommended changes the problem still stands as before: 
>a #include, when resident across the network on UNIX, shows up in the ".i" as 
>having been found, but is not being processed as evident by the #error (or 
>lack thereof).  Permissions are, at minimum, "read" along the entire path.
>
>An example of the resulting .i line is: 
># 1 "/cygdrive/h/usr/include/CXlinkspec.h" 1 3
>followed immediately by:                  
># 41 "/usr/include/CXisam.h" 2 3
>even though the first line of CXlinkspec.h contained a #error message, which 
>should have halted execution. 
>
>Here's my latest cygcheck taken in situ with the compile (some notes within):
>
>Cygnus Win95/NT Configuration Diagnostics
>Current System Time: Fri Dec 15 16:05:23 2000
>
>Win9X Ver 4.10 build 67766222  
>
>Path:   /cygdrive/d/BIN
>     /Cygwin/bin
>     /usr/BIN
>     /cygdrive/c/WINDOWS
>     /cygdrive/c/WINDOWS/COMMAND
>
>SysDir: C:\WINDOWS\SYSTEM
>WinDir: C:\WINDOWS
>
>USER = `/'
>HOME = `/cygdrive/d'
>MAKEFLAGS = ` --unix'
>
>CX_CC_TYPE = `win9x'
>CX_DYN_PATH = `/usr/crc/libs_win9x'
>CX_STAT_PATH = `/usr/lib'
>PROMPT = `$p$g'
>VPATH = `/cygdrive/h/usr/disam'
>TMPDIR = `/TMP'
>WINBOOTDIR = `C:\WINDOWS'
>TEMP = `/cygdrive/c/Windows/TEMP'
>TERM = `cygwin'
>CMDLINE = `D:\BIN\SH.EXE D:\USR\BIN\XMAKE "lib"'
>WINDIR = `C:\WINDOWS'
>BLASTER = `A220 I5 D1 T4'
>CX_DYN_EXT = `dll'
>MAKELEVEL = `1'
>!C: = `C:\My Documents'
>!D: = `D:\usr\disam'
>TMP = `/cygdrive/c/Windows/TEMP'
>XMAKE = `xmake'
>SHELL = `sh.exe'
>CLASSPATH = `C:\Program Files\PhotoDeluxe 2.0\AdobeConnectables'
>COMSPEC = `C:\WINDOWS\COMMAND.COM'
>UNIXPATH = `/cygdrive/h'
>MFLAGS = `- --unix'
>CC = `xcc lib'
>PP = `../progs/'
>TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'
>
>HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder
>
>\Start Menu\&Programs\Cygnus Solutions
>   (default) = (unsupported type)
>HKEY_CURRENT_USER\Software\Cygnus Solutions
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000020
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
>HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/UNIX
>   (default) = `H:'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/Cygwin/bin
>   (default) = `D:\Cygwin\bin'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/Cygwin/lib
>   (default) = `D:\Cygwin\lib'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `D:\Cygwin'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr
>   (default) = `D:\usr'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts 
>v2\/UNIX/usr/include
>   (default) = `H:\usr\include'
>   flags = 0x00000008
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\1.00.000
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program Options
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
>HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
>
>a:  fd           N/A    N/A                    
>c:  hd  FAT32   6850Mb  37% CP    UN           WINDOWS98
>d:  hd  FAT32   6169Mb  40% CP    UN           CRC DRIVE
>e:  cd           N/A    N/A                    
>f:  fd           N/A    N/A                    
>g:  cd  CDUDF    657Mb  22% CP    UN           INSTALLSHEI
>h:  net VFSU    3869Mb  40% CP    UN           root
>
>H:\usr\include  /cygdrive/h/usr/include  system  textmode
>D:\Cygwin\bin  /Cygwin/bin  system  textmode
>D:\Cygwin\lib  /Cygwin/lib  system  textmode
>D:\Cygwin  /        system  textmode
>D:\usr  /usr     system  textmode
>H:    /UNIX    system  textmode
>
>(**NOTE: This mount-table is different from that established by setup which 
>sets, for example, D:\Cygwin\bin to /usr/bin -- equating /Cygwin with /usr.  
>This conflicts with my project requirements, but the arrangement above should 
>be equivalent for our purposes.  Note also the mapping of H:/usr/include to 
>make sure that the #include path on that machine is fully defined.) 
>
>Found: D:\Cygwin\bin\bash.exe
>Found: D:\Cygwin\bin\cat.exe
>Found: D:\Cygwin\bin\cpp.exe
>Found: D:\Cygwin\bin\find.exe
>Found: c:\WINDOWS\COMMAND\find.exe
>Warning: D:\Cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
>Found: D:\Cygwin\bin\gcc.exe
>Found: D:\Cygwin\bin\gdb.exe
>Found: D:\Cygwin\bin\ld.exe
>Found: D:\Cygwin\bin\ls.exe
>Found: D:\Cygwin\bin\make.exe
>Found: d:\BIN\sh.exe
>Found: D:\Cygwin\bin\sh.exe
>Warning: d:\BIN\sh.exe hides D:\Cygwin\bin\sh.exe
>Found: \bin\sh.exe
>Warning: d:\BIN\sh.exe hides \bin\sh.exe

Its not at all obvious that d:\bin\sh.exe is equivalent to 
d:\Cygwin\bin\sh.exe.  Is it?  If so, for maintainability reasons,
I'd recommend either using a mount or symbolic link or something to 
get a sh.exe into /bin.

>(***NOTE: The two copies of sh.exe above are identical.)
>  
>   115k 1999/09/14 D:\Cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitcl30.dll" v0.0 ts=1999/9/13 22:46
>    63k 1999/09/14 D:\Cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitk30.dll" v0.0 ts=1999/9/13 22:47
>   474k 1999/09/14 D:\Cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=1999/9/13 22:31
>    19k 1999/09/14 D:\Cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
>    24k 1999/09/14 D:\Cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=1999/9/13 22:31
>   768k 1999/09/14 D:\Cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=1999/9/13 22:36
>   609k 2000/11/22 D:\Cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2000/11/21 21:00
>     Cygwin DLL version info:
>         dll major: 1001
>         dll minor: 6
>         dll epoch: 19
>         dll bad signal mask: 19005
>         dll old termios: 5
>         dll malloc env: 28
>         api major: 0
>         api minor: 30
>         shared data: 3
>         dll identifier: cygwin1
>         mount registry: 2
>         cygnus registry name: Cygnus Solutions
>         cygwin registry name: Cygwin
>         program options name: Program Options
>         cygwin mount registry name: mounts v2
>         cygdrive flags: cygdrive flags
>         cygdrive prefix: cygdrive prefix
>         cygdrive default prefix: 
>         build date: Tue Nov 21 21:00:16 EST 2000
>         shared id: cygwin1S3
>
>*****Original thread: *****************
>Subj:    Re: #includes not being processed across network
>Date:   12/13/00 4:16:38 PM Eastern Standard Time
>From:   [email-masked] (Larry Hall (RFK Partners, Inc))
>To: [email-masked], [email-masked]
>
>See comments below.
>
>At 08:56 AM 12/13/2000, [email-masked] wrote:
> >Dear Cygwin:
> >
> >I am compiling C (not c++) programs with gcc under Cygwin/Win98.  The source 
> >code and headers (#includes) are partially on the Windows-box and partially 
> >on a UNIX box connected via a TCP/IP network.  The UNIX file/printer server 
> >is VisionFS, basically an upgrade to SCO's Advanced File and Print Server 
> >("AFPS"). 
> >
> >The location of the source file seems to be irrelevant, but whenever a 
>header 
> >file is #included that lives on the UNIX side, the cpp output (.i) shows 
> >that, while the filename is correctly mapped, the file itself is not being 
> >processed.  I proved this using compiler switches "-save-temps -H and -dD" 
> >and #error.
> >
> >An example of the resulting .i line is: # 1 
> >"/cygdrive/h/usr/include/CXlinkspec.h" 1 3
> >followed immediately by:                  # 41 "/usr/include/CXisam.h" 2 3
> >even though the first line of CXlinkspec.h contained a #error message, which 
> >should have halted execution. 
> >
> >I am able to access and edit any of these "remote" header files from 
>Windows, 
> >and under bash using the same path names, so the network seems to be working 
> >and permissions are in order.
> >
> >Any ideas?
> >
> >John McDonald
> >[email-masked]
> >
> >Cygcheck output is: 
> >
> >Cygnus Win95/NT Configuration Diagnostics
> >Current System Time: Wed Dec 13 08:42:29 2000
> >
> >Win9X Ver 4.10 build 67766222  
> >
> >Path:   /cygdrive/c/WINDOWS
> >     /cygdrive/c/WINDOWS/COMMAND
> >     /BIN
> >     /CYGWIN/BIN
> >     /contrib/BIN
> >     /usr/bin
> >
> >SysDir: C:\WINDOWS\SYSTEM
> >WinDir: C:\WINDOWS
> >
> >MAKEFLAGS = `--unix'
> >
> >!C: = `C:\My Documents'
> >!D: = `D:\usr\disam'
> >BLASTER = `A220 I5 D1 T4'
> >CC = `xcc lib'
> >CLASSPATH = `C:\Program Files\PhotoDeluxe 2.0\AdobeConnectables'
> >CMDLINE = `D:\BIN\SH.EXE D:\USR\BIN\XMAKE "lib"'
> >COMSPEC = `C:\WINDOWS\COMMAND.COM'
> >CX_CC_TYPE = `win9x'
> >CX_DYN_EXT = `dll'
> >CX_DYN_PATH = `/usr/crc/libs_win9x'
> >CX_STAT_PATH = `/usr/lib'
> >MAKELEVEL = `1'
> >MFLAGS = `--unix'
> >PP = `../progs/'
> >PROMPT = `$p$g'
> >SHELL = `sh.exe'
> >TEMP = `C:\Windows\TEMP'
> >TERM = `cygwin'
> >TMP = `C:\Windows\TEMP'
> >TMPDIR = `D:\CYGWIN\TMP'
> >UNIXPATH = `/cygdrive/h'
> >VPATH = `/cygdrive/h/usr/disam'
> >WINBOOTDIR = `C:\WINDOWS'
> >WINDIR = `C:\WINDOWS'
> >XMAKE = `xmake'
> >TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'
> >
> >HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrde
>r
> >
> >\Start Menu\&Programs\Cygnus Solutions
> >   (default) = (unsupported type)
> >HKEY_CURRENT_USER\Software\Cygnus Solutions
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
> >   (default) = `/cygdrive'
> >   cygdrive flags = 0x00000020
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/contrib
> >   (default) = `D:/Cygwin/contrib'
> >   flags = 0x00000000
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
> >HKEY_CURRENT_USER\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr
> >   (default) = `D:/usr'
> >   flags = 0x00000008
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
> >   (default) = `D:/usr/bin'
> >   flags = 0x00000008
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
> >   (default) = `D:/'
> >   flags = 0x00000008
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\1.00.000
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\Program Options
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\00
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\01
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\02
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\03
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\04
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\05
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\06
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\07
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\08
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\09
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0A
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0B
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0C
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0D
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0E
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\0F
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\10
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\11
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\12
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\13
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\14
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\15
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\16
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\17
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\18
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\19
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1A
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1B
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1C
> >HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\CYGWIN.DLL setup\b15.0\mounts\1D
> >
> >a:  fd           N/A    N/A                    
> >c:  hd  FAT32   6850Mb  37% CP    UN           WINDOWS98
> >d:  hd  FAT32   6169Mb  37% CP    UN           CRC DRIVE
> >e:  cd           N/A    N/A                    
> >f:  fd           N/A    N/A                    
> >g:  cd  CDUDF    657Mb  22% CP    UN           INSTALLSHEI
> >h:  net VFSU    3869Mb  40% CP    UN           root
> >
> >D:\Cygwin\contrib  /contrib  user    textmode
> >D:\usr\bin  /usr/bin  system  textmode
> >D:\usr  /usr     system  textmode
> >D:    /        system  textmode
> >
> >Found: D:\CYGWIN\BIN\bash.exe
> >Found: D:\CYGWIN\BIN\cat.exe
> >Found: D:\BIN\cpp.exe
> >Found: \bin\cpp.exe
> >Warning: D:\BIN\cpp.exe hides \bin\cpp.exe
> >Found: c:\WINDOWS\COMMAND\find.exe
> >Found: D:\CYGWIN\BIN\find.exe
> >Warning: c:\WINDOWS\COMMAND\find.exe hides D:\CYGWIN\BIN\find.exe
> >Found: D:\CYGWIN\BIN\gcc.exe
> >Found: D:\CYGWIN\BIN\gdb.exe
> >Found: D:\CYGWIN\BIN\ld.exe
> >Found: D:\CYGWIN\BIN\ls.exe
> >Found: D:\CYGWIN\BIN\make.exe
> >Found: D:\BIN\sh.exe
> >Found: D:\CYGWIN\BIN\sh.exe
> >Warning: D:\BIN\sh.exe hides D:\CYGWIN\BIN\sh.exe
> >Found: \bin\sh.exe
> >Warning: D:\BIN\sh.exe hides \bin\sh.exe
> >
> >   115k 1999/09/14 D:\CYGWIN\BIN\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygitcl30.dll" v0.0 ts=1999/9/13 22:46
> >    63k 1999/09/14 D:\CYGWIN\BIN\cygitk30.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygitk30.dll" v0.0 ts=1999/9/13 22:47
> >   474k 1999/09/14 D:\CYGWIN\BIN\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygtcl80.dll" v0.0 ts=1999/9/13 22:31
> >    19k 1999/09/14 D:\CYGWIN\BIN\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
> >    24k 1999/09/14 D:\CYGWIN\BIN\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygtclreg80.dll" v0.0 ts=1999/9/13 22:31
> >   768k 1999/09/14 D:\CYGWIN\BIN\cygtk80.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygtk80.dll" v0.0 ts=1999/9/13 22:36
> >   786k 1999/09/14 D:\CYGWIN\BIN\cygwin1.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygwin1.dll" v0.0 ts=1999/9/13 23:44
> >Use -h to see help about each section
>
>First, your path is not set properly.  Cygwin paths should come before 
>anything else to insure that Cygwin versions of various utilities get 
>invoked by default as opposed to other like-named facilities.
>
>Second, your DLL is old, at least 1.1.4 if not before.  You need to upgrade
>your environment.  See www.cygwin.com and use the "Install now!" link.
>
>Third, by default, sh == ash but the shell you run interactively will be
>bash.  Make sure when you're testing for differences between compiling and
>running things interactively that you're testing against the same shell...
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>118 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]